Subject: Re: git-archive submodule support

From: Jens Lehmann <[email-masked]>
Date: Sun, 04 Nov 2012 17:40:54 +0100

Am 04.11.2012 15:53, schrieb Rotem Yaari:
> I was wondering if there are any plans to support inclusion of
> submodules in git-archive. This is very useful for quickly preparing
> ready-to-deploy archives of "unstable" branches etc., without the
> users' need to clone submodule dependencies each time.
> 
> Is this planned at some point? Such a change would be greatly appreciated.

It is planned but I don't expect to find the time for that in the
near future, especially as this is not my itch. But I'd be willing
to assist you in resurrecting a four year old patch for that from
Lars Hjemli. It is archived in my GitHub repo:
https://github.com/jlehmann/git-submod-enhancements/tree/archive--submodules